<html><head></head><body style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; "><div>I was trying to compile 2.10.7 for OSX for 64 bit. &nbsp;It seems that LLVM (and the mono branch) has had some interface changes, for instance,&nbsp;lvm/Support/StandardPasses.h, no longer exists, replaced with&nbsp;<span class="Apple-style-span" style="font-family: monospace; white-space: pre; "></span></div><div><span class="Apple-style-span" style="font-family: monospace; white-space: pre; "><i><br></i></span></div><div>Perhaps the mono-2-10 branch is in flux? &nbsp;Is there a stable tarball for llvm and mono for 2.10.7 (or even 2.10.6)? &nbsp; Or perhaps there is a different branch of mono and/or llvm I should be sourcing? &nbsp;I took sources from:</div><div><br></div><div>git clone -b mono <a href="git://github.com/mono/llvm.git">git://github.com/mono/llvm.git</a></div><div>git clone -b mono-2-10 <a href="https://github.com/mono/mono.git">https://github.com/mono/mono.git</a> mono-2.10</div><div><span class="Apple-style-span" style="font-family: monospace; white-space: pre; "><i><br></i></span></div><div>During compilation encounter:</div><div><br></div><div><div>/bin/sh ../../libtool --quiet --tag=CXX &nbsp; --mode=compile g++ -DHAVE_CONFIG_H -I. -I../.. &nbsp; -no-cpp-precomp -D_THREAD_SAFE -DGC_MACOSX_THREADS -DPLATFORM_MACOSX -DUSE_MMAP -DUSE_MUNMAP -DGetCurrentProcess=MonoGetCurrentProcess -DGetCurrentThread=MonoGetCurrentThread -DCreateEvent=MonoCreateEvent &nbsp;-D__default_codegen__ -I/usr/local/mono/include &nbsp;-D_DEBUG -D_GNU_SOURCE -D__STDC_LIMIT_MACROS -D__STDC_CONSTANT_MACROS -O3 &nbsp;-fno-exceptions -fno-rtti -fno-common -Woverloaded-virtual -Wcast-qual -fno-rtti -DLLVM_MONO_BRANCH -DLLVM_MAJOR_VERSION=3 -DLLVM_MINOR_VERSION=0 -I../../eglib/src -I../../eglib/src -g -O2 -MT mini-llvm-cpp.lo -MD -MP -MF .deps/mini-llvm-cpp.Tpo -c -o mini-llvm-cpp.lo mini-llvm-cpp.cpp</div><div>mini-llvm-cpp.cpp:42:41: error: llvm/Support/StandardPasses.h: No such file or directory</div><div>mini-llvm-cpp.cpp: In function 'void force_pass_linking()':</div><div>mini-llvm-cpp.cpp:339: error: 'createAAEvalPass' is not a member of 'llvm'</div></div><div>...</div><div>&lt;more errors&gt;</div><div><br></div><div>Finally, any thoughts on providing both a 32bit and 64bit build of mono for osx? &nbsp; I understand that monodevelop and UI tools will require 32bit for the time being, but for other purposes, 64 bit + LLVM makes sense.</div><div><br></div><div>Thanks</div><div>Jonathan</div></body></html>